Subject: Re: [Bitcoin-development] Segmented Block Relaying BIP draft.

From: Gregory Maxwell <[email-masked]>
Date: Mon, 10 Sep 2012 11:14:25 -0400

On Mon, Sep 10, 2012 at 11:07 AM, Matthew Mitchell
<[email-masked]> wrote:
> Here is a BIP draft for improving the block relaying and validation so that
> it can be done in parallel and so that redundancy can be removed. This
> becomes more beneficial the larger the block sizes are.
>
> https://en.bitcoin.it/wiki/User:MatthewLM/ImprovedBlockRelayingProposal

Why does this focus on actually sending the hash tree?  The block
header + transaction list + transactions a node doesn't already know
(often just the coinbase) is enough.